"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QuestDBRunner = void 0;
const testcontainers_1 = require("testcontainers");
const db_runner_abstract_1 = require("./db-runner.abstract");
class QuestDBRunner extends db_runner_abstract_1.DbRunnerAbstract {
    static startContainer(options) {
        const version = process.env.TEST_QUEST_DB_VERSION || options.version || '8.0.3';
        const container = new testcontainers_1.GenericContainer(`questdb/questdb:${version}`)
            .withExposedPorts(8812)
            .withStartupTimeout(10 * 1000);
        if (options.volumes) {
            const binds = options.volumes.map(v => ({ source: v.source, target: v.target, mode: v.bindMode }));
            container.withBindMounts(binds);
        }
        return container.start();
    }
}
exports.QuestDBRunner = QuestDBRunner;
//# sourceMappingURL=questdb.js.map